// Learn TypeScript:
//  - https://docs.cocos.com/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - https://docs.cocos.com/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - https://docs.cocos.com/creator/manual/en/scripting/life-cycle-callbacks.html

const { ccclass, property } = cc._decorator;
type ItemDataType = {
    questionItem: string;
    questionContent: string;
    answer: string;
    isHideline: boolean;
};
@ccclass
export default class NewClass extends cc.Component {
    @property(cc.Label)
    questionItem: cc.Label = null;

    @property(cc.Label)
    questionContent: cc.Label = null;

    @property(cc.Label)
    answer: cc.Label = null;

    @property(cc.Node)
    line: cc.Node = null;

    // LIFE-CYCLE CALLBACKS:

    onLoad() { }

    setQuestionItemData(ItemData: ItemDataType) {
        this.questionItem.string = ItemData.questionItem;
        this.questionContent.string = ItemData.questionContent;
        this.answer.string = ItemData.answer;
        if (ItemData.isHideline) {
            this.line.active = false;
        }
    }

    start() { }

    // update (dt) {}
}
