/* eslint-disable @typescript-eslint/naming-convention */

const { ccclass, property } = cc._decorator;
import captureNodeToBase64 from '../utils/captureNodeToBase64';
import { ipList } from '../types/common';

@ccclass
export default class NewClass extends cc.Component {
    // LIFE-CYCLE CALLBACKS:
    @property(cc.Node) // 外矩形遮罩
    scrollViewLayout: cc.Node = null;

    @property(cc.Node) // 外矩形遮罩
    scrollViewContent: cc.Node = null;

    @property(cc.Node) // 外矩形遮罩
    marginRectMask: cc.Node = null;

    @property(cc.Node) // 外矩形
    marginRect: cc.Node = null;

    @property(cc.Node) // 内矩形遮罩
    innerRectMask: cc.Node = null;

    @property(cc.Node) // 内矩形遮罩
    innerRect: cc.Node = null;

    @property(cc.Node) // 内矩形遮罩
    content: cc.Node = null;

    @property(cc.Prefab)
    itemPrefab = [];

    @property(cc.Prefab)
    ipPrefab = [];

    @property(cc.Sprite)
    ip: cc.Sprite = null;

    @property(cc.Node) // 内矩形遮罩
    bottomContent: cc.Node = null;

    onLoad() {
        const length = 13;
        const baseHeight = 120 + length * 152;
        this.innerRect.height = baseHeight;
        this.innerRectMask.height = baseHeight;
        this.marginRect.height = baseHeight + 12;
        this.marginRectMask.height = baseHeight + 12;

        // this.scrollViewContent.height = 1500;

        for (let i = 0; i < length; i++) {
            const node = cc.instantiate<cc.Node>(this.itemPrefab[0]);
            const item = node.getComponent('questionItem');
            console.log('item', item);
            item.setQuestionItemData({
                questionItem: `${i + 1}`,
                questionContent: 2,
                answer: 3,
                isHideline: i === length - 1,
            });
            node.position = cc.v2(0, 152 * -i);
            this.content.addChild(node);
        }
        console.log(this.content.height);
        let bottomContentHeight = 0;
        if (length > 5) {
            bottomContentHeight = -(baseHeight - 30 - 152 * 3);
            bottomContentHeight = 0;
        } else {
            console.log(' this.scrollViewLayout;', this.scrollViewLayout);

            bottomContentHeight = 0;
        }
        this.bottomContent.position = cc.v2(0, bottomContentHeight);
        this.drawPlayer();
    }

    private drawPlayer() {
        const curIndex = 1;
        const url = `role/${ipList[curIndex].roleEnName}Role`;
        cc.resources.load<cc.SpriteFrame>(url, cc.SpriteFrame, (err, assets) => {
            const sprite = new cc.SpriteFrame(assets);
            if (sprite && this.ip) {
                this.ip.spriteFrame = assets;
            }
        });
    }

    start() { }
}
